Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Interface InternalCertificate

All Superinterfaces:
  X509Certificate

All Known Implementing Classes:
  PK11InternalCert, PK11InternalTokenCert

    public interface InternalCertificate

extends X509Certificate

Certificates residing in the internal database. Their trust flags can be viewed and modified. Other types of certificates do not have trust flags.

Field Summary
`static int` | `TRUSTED_CA`
`static int` | `TRUSTED_CLIENT_CA`
`static int` | `TRUSTED_PEER`
`static int` | `USER`
`static int` | `VALID_CA`
`static int` | `VALID_PEER`

Method Summary
`int` | `getEmailTrust()` Get the email (S/MIME) trust flags for this certificate.
`int` | `getObjectSigningTrust()` Get the object signing trust flags for this certificate.
`int` | `getSSLTrust()` Get the SSL trust flags for this certificate.
`void` | `setEmailTrust(int trust)` Set the email (S/MIME) trust flags for this certificate.
`void` | `setObjectSigningTrust(int trust)` Set the object signing trust flags for this certificate.
`void` | `setSSLTrust(int trust)` Set the SSL trust flags for this certificate.

Methods inherited from interface org.mozilla.jss.crypto.X509Certificate
`getEncoded, getIssuerDN, getNickname, getPublicKey, getSerialNumber, getSubjectDN, getVersion`

Field Detail

### VALID_PEER

    static final int VALID_PEER

See Also:
  Constant Field Values

### TRUSTED_PEER

    static final int TRUSTED_PEER

See Also:
  Constant Field Values

### VALID_CA

    static final int VALID_CA

See Also:
  Constant Field Values

### TRUSTED_CA

    static final int TRUSTED_CA

See Also:
  Constant Field Values

### USER

    static final int USER

See Also:
  Constant Field Values

### TRUSTED_CLIENT_CA

    static final int TRUSTED_CLIENT_CA

See Also:
  Constant Field Values

Method Detail

### setSSLTrust

    void setSSLTrust(int trust)

  Set the SSL trust flags for this certificate.

  Parameters:
    `trust` - A bitwise OR of the trust flags VALID_PEER, VALID_CA, TRUSTED_CA, USER, and TRUSTED_CLIENT_CA.

### setEmailTrust

    void setEmailTrust(int trust)

  Set the email (S/MIME) trust flags for this certificate.

  Parameters:
    `trust` - A bitwise OR of the trust flags VALID_PEER, VALID_CA, TRUSTED_CA, USER, and TRUSTED_CLIENT_CA.

### setObjectSigningTrust

    void setObjectSigningTrust(int trust)

  Set the object signing trust flags for this certificate.

  Parameters:
    `trust` - A bitwise OR of the trust flags VALID_PEER, VALID_CA, TRUSTED_CA, USER, and TRUSTED_CLIENT_CA.

### getSSLTrust

    int getSSLTrust()

  Get the SSL trust flags for this certificate.

  Returns:
    A bitwise OR of the trust flags VALID_PEER, VALID_CA, TRUSTED_CA, USER, and TRUSTED_CLIENT_CA.

### getEmailTrust

    int getEmailTrust()

  Get the email (S/MIME) trust flags for this certificate.

  Returns:
    A bitwise OR of the trust flags VALID_PEER, VALID_CA, TRUSTED_CA, USER, and TRUSTED_CLIENT_CA.

### getObjectSigningTrust

    int getObjectSigningTrust()

  Get the object signing trust flags for this certificate.

  Returns:
    A bitwise OR of the trust flags VALID_PEER, VALID_CA, TRUSTED_CA, USER, and TRUSTED_CLIENT_CA.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD